/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __CONTACT_DETAILS_VIEW_H__
#define __CONTACT_DETAILS_VIEW_H__

#include <Evas.h>
#include <contacts_types.h>

/**
 * @brief Creates new contact details view
 * @param[in]   parent          Parent object
 * @param[in]   person_id       ID of person
 */
void sc_cdetails_view_add(Evas_Object *parent, int person_id);

#endif //__CONTACT_DETAILS_VIEW_H__
